INSERT INTO procs set name='Carte de lecteur - par panier(s) - ajout d\'un espace ou d\'un astrisque', requete='SELECT libelle_groupe as groupe, (CASE !!choix!! WHEN \'1\' THEN CONCAT(\' \',empr_cb,\' \') WHEN \'2\' THEN CONCAT(\'*\',empr_cb,\'*\') ELSE empr_cb END) as numero, empr_nom as nom, empr_prenom as prenom, (CASE empr_sexe WHEN \'1\' THEN \'M\' WHEN \'2\' THEN \'F\' ELSE \' \' END) as sexe,  libelle as categorie FROM empr_categ, empr_caddie_content, empr LEFT JOIN empr_groupe ON empr_id = id_empr LEFT JOIN groupe ON groupe_id = id_groupe WHERE empr_caddie_id in (!!CADDIE!!) and object_id=id_empr and id_categ_empr=empr_categ GROUP BY empr_cb ORDER BY libelle, libelle_groupe, empr_nom, empr_prenom', comment='Groupe (ventuel), n de lecteur, nom, prnom, sexe, catgorie ', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Que faut-il ajouter au numro de lecteur ?]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\">Un espace (pour prserver le zro initial)</ITEM>
  <ITEM VALUE=\"2\">Un astrisque (pour l\'impression en code-barres 39)</ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>SELECT idemprcaddie, name FROM empr_caddie ORDER BY name</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 