INSERT INTO procs set name='Carte de lecteur - par groupe(s) - ajout d\'un espace ou d\'un astrisque', requete='SELECT libelle_groupe as groupe, (CASE !!choix!! WHEN \'1\' THEN CONCAT(\' \',empr_cb,\' \') WHEN \'2\' THEN CONCAT(\'*\',empr_cb,\'*\') ELSE empr_cb END) as numero, empr_nom as nom, empr_prenom as prenom, (CASE empr_sexe WHEN \'1\' THEN \'M\' WHEN \'2\' THEN \'F\' ELSE \' \' END) as sexe,  libelle as categorie FROM empr, empr_categ, empr_groupe, groupe WHERE id_groupe in (!!groupe!!) and id_categ_empr=empr_categ and id_empr = empr_id and groupe_id = id_groupe GROUP BY empr_cb ORDER BY groupe, empr_nom, empr_prenom', comment='Groupe, n de lecteur, nom, prnom, sexe, catgorie ', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Que faut-il ajouter au numro de lecteur ?]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\"><![CDATA[Un espace (pour prserver le zro initial)]]></ITEM>
  <ITEM VALUE=\"2\"><![CDATA[Un astrisque (pour l\'impression en code-barres 39)]]></ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"groupe\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[groupe]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>select id_groupe, libelle_groupe from groupe order by 2</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 